Arduino

Guide

Tutorials

Reference

Hardware

Software

Forum

Playground

Exhibition

Hacking

FAQ

Buy

Language | Libraries | Comparison

## beginSerial(speed)

#### Description

Initializes the serial port. Should be called from inside setup().

#### Parameters

speed: the baud rate to use for the serial communication (e.g. 9600 or 19200)

#### Returns

None

#### Note

Serial Arduino boards supports speeds up to 19200 baud. USB boards support up to 115200 baud (with release 0003 and later of the Arduino software).

#### See also

- serialAvailable
- serialRead
- serialWrite
- printByte
- printString
- printInteger
- printHex
- printOctal
- printBinary

Reference Home

Edit Page | Page History | Printable View | Recent Site Changes